Tools & Consumables

Endpoints related to tools & consumables.

GET /tooling-stock-action/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 404 Not Found – RecordNotFound

  • 403 Forbidden – You are not authorized to complete the request.

  • 400 Bad Request – The sub_location provided in the relocation action doesn’t belong to the provided location

POST /tooling-stock-action/
Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /tooling-stock-action/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

  • 404 Not Found – RecordNotFound

  • 403 Forbidden – You are not authorized to complete the request.

  • 400 Bad Request – The sub_location provided in the relocation action doesn’t belong to the provided location

PUT /tooling-stock-action/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
DELETE /tooling-stock-action/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
GET /prosper/

List all of the builds in the system for your account

List all of the builds in the system for your account

Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 404 Not Found – The prosper requested cannot be found

POST /prosper/

Create a new prosper

Create a new prosper

Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /prosper/{uuid}/

Get a single prosper by UUID

Get a single prosper by UUID

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
PUT /prosper/{uuid}/

Update information about a build

Update information about a build

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
GET /tooling-type/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 404 Not Found – The requested tooling-type cannot be found.

POST /tooling-type/
Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /tooling-type/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
PUT /tooling-type/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
DELETE /tooling-type/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
GET /prosper_printer_material/

Get all resources for your account.

Get all resources for your account.

Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 404 Not Found – The requested object cannot be found.

  • 400 Bad Request – The requested object name already exists.

GET /prosper_printer_material/{uuid}/

Get an individual resource by UUID.

Get an individual resource by UUID.

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
PUT /prosper_printer_material/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
GET /cassette/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

POST /cassette/

Create a new cassette

Create a new cassette

Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /cassette/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

PUT /cassette/{uuid}/

Update information about a cassette

Update information about a cassette

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
GET /tooling-stock/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 404 Not Found – The requested tooling-type cannot be found.

POST /tooling-stock/
Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /tooling-stock/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
PUT /tooling-stock/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
DELETE /tooling-stock/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes: